Create a bank account
External bank accounts are financial accounts associated with a Paypercut platform’s accounts for the purpose of transferring funds to or from the account’s Paypercut balance.
- Type: stringaccount
_id requiredThe identifier of the account.
External bank accounts are financial accounts associated with a Paypercut platform’s accounts for the purpose of transferring funds to or from the account’s Paypercut balance.
- Type: booleandefault
_for _currency When set to true, or if this is the first external account added in this currency, this account becomes the default external account for its currency.
- external
_account - Type: object · ExternalBankAccountCreateRequest
- objectDiscriminatorenumconst:bank_accountrequiredvalues
- bank
_account
- countryType: stringmin length:2max length:2required
- currencyType: string | nullrequired
Optional merchant-declared currency hint captured at attach time.
- holderType: string
_name required - holderType: stringenum
_type requiredvalues- individual
- company
- numbersrequired
- bankType: string | null
_name
- metadata
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.- propertyType: string
Name
- application/json
- application/json
- application/json
- application/json
curl 'https://api.paypercut.io/v1/accounts/{account_id}/external_accounts' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"default_for_currency": true,
"metadata": {
"additionalProperty": ""
},
"external_account": {
"object": "bank_account",
"country": "DE",
"currency": "EUR",
"bank_name": "Example Bank",
"holder_name": "Acme GmbH",
"holder_type": "individual",
"numbers": {
"scheme": "iban",
"iban": "DE89370400440532013000",
"bic": "COBADEFFXXX"
}
}
}'
{
"default_for_currency": true,
"metadata": {
"additionalProperty": "string"
},
"external_account": {
"object": "bank_account",
"country": "DE",
"currency": "EUR",
"bank_name": "Example Bank",
"holder_name": "Acme GmbH",
"holder_type": "individual",
"id": "ba_123"
}
}
